package com.muyu.data.source.client.pool;

/**
 * 提供了一个连接池的准则
 *
 * @author WangLei
 * @Date 2024/4/29 029 14:41
 */
public interface BasePool<T> {
    /**
     * 初始化
     */
    public void init();

    /**
     * 获取连接
     */

    public T getConn();

    /**
     * 归还连接
     * @param conn
     */

    public void reaplase(T conn);

    /**
     * 创建连接
     * @return
     */

    public T creatConnection();


    /**
     * 关闭连接
     */
    public void closeConn();

}
