package com.muyu.ruleengine.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 引擎维护对象修改 EngineVersionEditReq
 *
 * @author DeKangLiu
 * Date 2024/5/7 15:07
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EngineversionEditReq {
    /**引擎维护id*/
    private Long id;

    /**规则引擎id*/
    private Integer ruleId;

    /**版本编码*/
    private String versionCode;

    /**版本名称*/
    private String name;

    /**版本code*/
    private String code;

    /**是否激活*/
    private String isActivate;

    /**状态*/
    private String status;

    /**描述*/
    private String description;

    /**引擎描述*/
    private String codeIng;
}
