package com.muyu.ruleengine;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * MuYuRuleEngineApplication
 *
 * @author WangLei
 * @Date 2024/4/24 024 10:07
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
@EnableAsync
public class MuYuRuleEngineApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuRuleEngineApplication.class, args);
    }

}
