package com.muyu.data.unit;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 数据启动类 DataSourceApplication
 *
 * @author DeKangLiu
 * Date 2024/5/9 21:05
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class DataSourceUnitApplication {
    public static void main(String[] args) {
        SpringApplication.run(DataSourceUnitApplication.class, args);
    }
}
