package com.muyu.ruleengine.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.ruleengine.domain.Engineversion;
import com.muyu.ruleengine.domain.Ruleengine;
import com.muyu.ruleengine.domain.model.RuleContentModel;
import com.muyu.ruleengine.domain.model.RuleengineModel;
import com.muyu.ruleengine.domain.req.RuleContentReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 规则引擎Mapper接口
 *
 * @author WangLei
 * @date 2024-04-24
 */
public interface RuleengineMapper extends BaseMapper<Ruleengine> {

    void addRulecontent(@Param("ruleContentReq") RuleContentReq ruleContentReq);

    RuleContentModel getRuleContent(@Param("ruleId") Long ruleId);

    RuleengineModel findRuleEngineById(@Param("id") Long id);

    List<Engineversion> findEngineversionList(@Param("id") Long id);

    void addEngineversion(Engineversion engineversion);


    void updateRuleStatus(Ruleengine ruleengine);

    void updateRuleActivate(Ruleengine ruleengine);

    void updateEngineCodeIng(Engineversion engineversion);
}
